## org.eclipse.datatools.connectivity.security
Class CipherProviderBase

    java.lang.Object
      org.eclipse.datatools.connectivity.internal.security.DefaultCipherProvider
          org.eclipse.datatools.connectivity.security.CipherProviderBase

All Implemented Interfaces:
  ICipherProvider

    public class CipherProviderBase

extends org.eclipse.datatools.connectivity.internal.security.DefaultCipherProvider
implements ICipherProvider

[Provisional]
A base class implementation of the `ICipherProvider` interface. It reads a secret (symmetric) key specification (`KeySpec`) from a bundled resource. A custom ICipherProvider class implementation may optionally extend from this, to provide own instance of KeySpec.

Since:
  1.2.4 (DTP 1.9.2)

Constructor Summary
`CipherProviderBase()`

Method Summary

Methods inherited from class org.eclipse.datatools.connectivity.internal.security.DefaultCipherProvider
`createDecryptionCipher, createEncryptionCipher`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.connectivity.security.ICipherProvider
`createDecryptionCipher, createEncryptionCipher`

Constructor Detail

### CipherProviderBase

    public CipherProviderBase()